flutter_riverpod 0.11.0

Flutter Android iOS web

A simple way to access state from anywhere in your application while robust and testable.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  flutter_riverpod: ^0.11.0

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:flutter_riverpod/flutter_riverpod.dart';
91
likes
110
pub points
94%
popularity

A simple way to access state from anywhere in your application while robust and testable.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

darky12s@gmail.com

License

MIT (LICENSE)

Dependencies

collection, flutter, meta, riverpod, state_notifier

More

Packages that depend on flutter_riverpod